Analytic
Get Analytic Statuses
This endpoint retrieves scrape status counts for a specified domain within a given date range. You can optionally filter the results by action and API Token name.
Note
Use the V3 Platform API Server (https://api.app.mrscraper.com) host when calling this endpoint.
Authorization
apiKey x-api-token<token>
In: header
Query Parameters
domain*string
Domain to aggregate statuses for
action?string
Action filter for custom scrapers
startDate*string
Start date in yyyy-MM-dd HH:mm:ss format
endDate*string
End date in yyyy-MM-dd HH:mm:ss format
apiTokenName?string
API token name to filter the analytics data
Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://api.app.mrscraper.com/api/v1/analytic/statuses?domain=string&startDate=2026-01-01+00%3A00%3A00&endDate=2026-04-14+23%3A59%3A59"{
"message": "Successful operation!",
"data": {
"countAll": 35,
"successRate": 100,
"reqPerMinute": 0.00023597785853464491,
"avgLatency": 0,
"data": [
{
"key": "PENDING",
"value": 0
},
{
"key": "RUNNING",
"value": 0
},
{
"key": "PROCESSING",
"value": 0
},
{
"key": "COMPLETED",
"value": "35"
},
{
"key": "FAILED",
"value": 0
},
{
"key": "CANCELLED",
"value": 0
}
]
}
}{
"message": "Invalid or missing API token",
"error": "Unauthorized",
"statusCode": 401
}{
"message": "Validation failed",
"error": "Unprocessable Entity",
"statusCode": 422
}{
"message": "An unexpected error occurred",
"error": "Internal Server Error",
"statusCode": 500
}